%define name speedtouch-firmware
%define oldname speedtouch_mgmt
%define version 0.1
%define release %mkrel 10
#http://download.ethomson.com/download/WebUpgrade_MacOSX_R3.zip
#http://download.ethomson.com/download/KQD6_R204.zip
#http://www.speedtouch.com/download/drivers/USB/SpeedTouch330_firmware_3012.zip
%define url http://speedtouch.sourceforge.net

Name:		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	Commercial
Group:		System/Kernel and hardware
URL: 		%{url}
Source0: 	%{oldname}-%{version}.tar.bz2
Summary: 	Alcatel Speedtouch USB adsl modem microcode
Provides:	%{oldname}
Obsoletes:	%{oldname}
BuildRequires:	speedtouch-firmware-extractor
BuildArch:	noarch

%description
Alcatel Speedtouch USB adsl modem microcode. Copyright Alcatel.
Needed to make the modem work.

%prep
%setup -q -n %{oldname}-%{version}
mv mgmt.o mgmt_rev0.o

%build
for rev in 0 2 4; do
  /usr/sbin/firmware-extractor mgmt_rev$rev.o
  for stage in 1 2; do
    mv speedtch-$stage.bin speedtch-$stage.bin.$rev
  done
done

%install
rm -rf %{buildroot}

mkdir -p -m 755 %{buildroot}/lib/firmware
install -m 644 speedtch-*.bin.* %{buildroot}/lib/firmware

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/lib/firmware/speedtch-*.bin.*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.1-10.mga3
+ Revision: 382514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 09 2011 ahmad <ahmad> 0.1-9.mga2.nonfree
+ Revision: 102323
- imported package speedtouch-firmware

